### Virtual Method

# Gtk.CellRenderer.get_preferred_width

#### Declaration [src]

    void
    get_preferred_width (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      int* minimum_size,
      int* natural_size
    )

#### Description [src]

Retrieves a renderer’s natural size when rendered to `widget`.

#### Parameters

`widget` | `GtkWidget`
| the `GtkWidget` this cell will be rendering to
| Ownership is not transferred to the callee
`minimum_size` | `int*`
| location to store the minimum size, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`natural_size` | `int*`
| location to store the natural size, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee